<template>
  <div id="app">
    <the-navbar />
    <!-- Page content will be inserted here  -->
    <slot />

    <the-footer />
  </div>
</template>

<script>
import TheNavbar from '~/components/layout/Navbar';
import TheFooter from '~/components/layout/Footer';

export default {
  components: {
    TheNavbar,
    TheFooter,
  },
};
</script>

<style lang="postcss">
@font-face {
  font-family: 'Arcadia';
  font-weight: 400;
  font-style: normal;
  font-display: swap;
  src: url('../assets/fonts/Arcadia.woff2') format('woff2'),
    url('../assets/fonts/Arcadia.woff') format('woff');
}
</style>